package ims.io;

import ims.data.CoNLL06Sentence;
import ims.data.CoNLL09Sentence;
import ims.data.ISentence;
import ims.data.NBestCoNLL09Sentence;
import ims.data.StagStackSentence;

public enum Format {

	CoNLL06(CoNLL06Sentence.class),
	CoNLL09(CoNLL09Sentence.class),
	StagStack(StagStackSentence.class),
	NBestCoNLL09(NBestCoNLL09Sentence.class);
	
	public final Class<? extends ISentence> sentenceClass;
	
	Format(Class<? extends ISentence> clazz){
		this.sentenceClass=clazz;
	}
	
}
