package ims.io;

import java.io.IOException;

import ims.data.ISentence;
import ims.trans.Options;

public class ReverseSentences {

	public static void main(String[] args) throws IOException {
		Options options=new Options(args);
		SentenceReader<?> reader=ReaderWriterFactory.getReader(options.train,options.format.sentenceClass);
		SentenceWriter writer=ReaderWriterFactory.getWriter(options.out);
		for(ISentence s:reader){
			s.reverseSentence();
			writer.write(s);
		}
		writer.close();
	}
	
}
