package ims.tag.features;

import ims.hotcoref.symbols.TagSymbolTable;
import ims.tag.ITagContext;
import ims.tag.TagInstance;

public class CollinsFeatureSet extends LocalFeatureSet {

	private static final long serialVersionUID = 4578578916486913600L;
	
	protected CollinsFeatureSet(TagSymbolTable symTab) {
		super(symTab);
	}
	
	@Override
	public int extractNonLocalFeatures(int idx, TagInstance inst, ITagContext context) {
		int m=0; int t=31;
		sink[m]=t; sink[m]<<=bT; sink[m]|=context.getTag(idx-1); ++m; ++t;
		sink[m]=t; sink[m]<<=bT; sink[m]|=context.getTag(idx-1); sink[m]<<=bT; sink[m]|=context.getTag(idx-2); ++m; ++t;
		return m;
	}

}
