package ims.io;

import ims.data.CoNLL09Sentence;

import java.io.File;
import java.io.IOException;

public class CoNLL09PredToStagStack {

	public static void main(String[] args) throws IOException{
		File in=new File(args[0]);
		File out=new File(args[1]);
		
		SentenceReader<CoNLL09Sentence> reader=ReaderWriterFactory.getReader(in, CoNLL09Sentence.class);
		SentenceWriter writer=ReaderWriterFactory.getWriter(out);
		
		for(CoNLL09Sentence s:reader){
			writer.write(s.toStagStackPredInStack());
		}
		
		writer.close();
	}
	
}
