package ims.trans.adversery;

import ims.trans.Options;

public class AdversaryFactory {

	public static ITrainingAdversary getAdversary(ITrainingAdversary.Adversary adversary){
		switch(adversary){
		case None: return new NoChangeAdversary();
		default: throw new Error("not implemented");
		}
	}
	
	public static ITrainingAdversary getAdversary(Options options){
		return getAdversary(options.adversary);
	}
}
