package ims.trans.labelfilter;

import java.util.List;

import ims.data.Instance;
import ims.hotcoref.symbols.SymbolTable;

public class LabelFilterFactory {

	public static ILabelFilter getLabelFilter(SymbolTable symTab,List<Instance> instances,LBLFilter lblFilter){
		switch(lblFilter){
		case None: return new NoFilterLabelFilter(symTab);
		case POS:  return new PosBasedLabelFilter(symTab,instances);
		default: throw new Error("not implemented");
		}
	}
}
